package de.cscherr.mcpht;

import de.cscherr.mcpht.config.MCPHTConfig;
import me.shedaniel.autoconfig.AutoConfig;
import net.fabricmc.api.ClientModInitializer;
import me.shedaniel.autoconfig.serializer.JanksonConfigSerializer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class McphtClient implements ClientModInitializer {
	public static final String MOD_ID = "mcpht";
	public static final String VERSION_NUMBER = "0.0.1";
	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitializeClient() {
		AutoConfig.register(MCPHTConfig.class, JanksonConfigSerializer::new);
		// This entrypoint is suitable for setting up client-specific logic, such as rendering.
		LOGGER.info("Init client!");
	}
}