package de.cscherr.mcpht.config;

import me.shedaniel.autoconfig.ConfigData;
import me.shedaniel.autoconfig.annotation.Config;
import me.shedaniel.autoconfig.annotation.ConfigEntry;
import me.shedaniel.cloth.clothconfig.shadowed.blue.endless.jankson.Comment;

@Config(name = "MCPHT Config")
public class MCPHTConfig implements ConfigData {
    @Comment("Dummy Button")
    public NetworkTrafficBarScheme netbar = new NetworkTrafficBarScheme();

    public static class NetworkTrafficBarScheme {
        public enum NetworkTrafficEnum {
            None,
            All,
            Client,
            Server,
        }
        public NetworkTrafficEnum state = NetworkTrafficEnum.None;
    }
    @Comment("How much should network traffic be logged")
    public int state = 0;
}
